# -*- encoding: utf-8 -*-
# stub: memoizable 0.4.2 ruby lib

Gem::Specification.new do |s|
  s.name = "memoizable".freeze
  s.version = "0.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dan Kubb".freeze, "Erik Michaels-Ober".freeze]
  s.date = "2014-03-27"
  s.description = "Memoize method return values".freeze
  s.email = ["dan.kubb@gmail.com".freeze, "sferik@gmail.com".freeze]
  s.extra_rdoc_files = ["CONTRIBUTING.md".freeze, "LICENSE.md".freeze, "README.md".freeze]
  s.files = ["CONTRIBUTING.md".freeze, "LICENSE.md".freeze, "README.md".freeze, "Rakefile".freeze, "lib/memoizable.rb".freeze, "lib/memoizable/instance_methods.rb".freeze, "lib/memoizable/memory.rb".freeze, "lib/memoizable/method_builder.rb".freeze, "lib/memoizable/module_methods.rb".freeze, "lib/memoizable/version.rb".freeze, "memoizable.gemspec".freeze, "spec/integration/serializable_spec.rb".freeze, "spec/shared/call_super_shared_spec.rb".freeze, "spec/shared/command_method_behavior.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/memoizable/class_methods/included_spec.rb".freeze, "spec/unit/memoizable/fixtures/classes.rb".freeze, "spec/unit/memoizable/instance_methods/freeze_spec.rb".freeze, "spec/unit/memoizable/instance_methods/memoize_spec.rb".freeze, "spec/unit/memoizable/memory_spec.rb".freeze, "spec/unit/memoizable/method_builder/call_spec.rb".freeze, "spec/unit/memoizable/method_builder/class_methods/new_spec.rb".freeze, "spec/unit/memoizable/method_builder/original_method_spec.rb".freeze, "spec/unit/memoizable/module_methods/included_spec.rb".freeze, "spec/unit/memoizable/module_methods/memoize_spec.rb".freeze, "spec/unit/memoizable/module_methods/memoized_predicate_spec.rb".freeze, "spec/unit/memoizable/module_methods/unmemoized_instance_method_spec.rb".freeze]
  s.homepage = "https://github.com/dkubb/memoizable".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.0.8".freeze
  s.summary = "Memoize method return values".freeze
  s.test_files = ["spec/unit/memoizable/class_methods/included_spec.rb".freeze, "spec/unit/memoizable/fixtures/classes.rb".freeze, "spec/unit/memoizable/instance_methods/freeze_spec.rb".freeze, "spec/unit/memoizable/instance_methods/memoize_spec.rb".freeze, "spec/unit/memoizable/memory_spec.rb".freeze, "spec/unit/memoizable/method_builder/call_spec.rb".freeze, "spec/unit/memoizable/method_builder/class_methods/new_spec.rb".freeze, "spec/unit/memoizable/method_builder/original_method_spec.rb".freeze, "spec/unit/memoizable/module_methods/included_spec.rb".freeze, "spec/unit/memoizable/module_methods/memoize_spec.rb".freeze, "spec/unit/memoizable/module_methods/memoized_predicate_spec.rb".freeze, "spec/unit/memoizable/module_methods/unmemoized_instance_method_spec.rb".freeze, "spec/integration/serializable_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<thread_safe>.freeze, ["~> 0.3", ">= 0.3.1"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.5", ">= 1.5.3"])
    else
      s.add_dependency(%q<thread_safe>.freeze, ["~> 0.3", ">= 0.3.1"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.5", ">= 1.5.3"])
    end
  else
    s.add_dependency(%q<thread_safe>.freeze, ["~> 0.3", ">= 0.3.1"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.5", ">= 1.5.3"])
  end
end

